package de.hft.stuttgart.citygml.green.osm.jaxb;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;

public class OsmNode {
	
	@XmlAttribute
	private String id;
	
	@XmlAttribute
	private double lat;
	
	@XmlAttribute
	private double lon;
	
	@XmlElements(value = { @XmlElement(name = "tag", type = OsmTag.class) })
	private List<OsmTag> tags;
	
	public String getId() {
		return id;
	}
	
	public double getLat() {
		return lat;
	}
	
	public double getLon() {
		return lon;
	}
	
	public List<OsmTag> getTags() {
		if (tags == null) {
			tags = new ArrayList<>();
		}
		return tags;
	}
	

}
